package com.hai.model;

import com.hai.entity.ApiProduct;
import com.hai.entity.ApiProductConfig;

import java.math.BigDecimal;

public class ApiProductConfigModel extends ApiProduct {
    /**
     * 折扣比例
     */
    private BigDecimal discount;

    /**
     * 折扣价格
     */
    private BigDecimal discountPrice;

    /**
     * 主键
     */
    private Long apiConfigProductId;

    /**
     * 101 正常 102 下架 100 删除
     */
    private Integer configStatus;

    public Integer getConfigStatus() {
        return configStatus;
    }

    public void setConfigStatus(Integer configStatus) {
        this.configStatus = configStatus;
    }

    public Long getApiConfigProductId() {
        return apiConfigProductId;
    }

    public void setApiConfigProductId(Long apiConfigProductId) {
        this.apiConfigProductId = apiConfigProductId;
    }

    public BigDecimal getDiscount() {
        return discount;
    }

    public void setDiscount(BigDecimal discount) {
        this.discount = discount;
    }

    public BigDecimal getDiscountPrice() {
        return discountPrice;
    }

    public void setDiscountPrice(BigDecimal discountPrice) {
        this.discountPrice = discountPrice;
    }
}
