package com.hai.service;

import com.hai.entity.HighApprove;

import java.util.List;
import java.util.Map;

/**
 * @Auther: 胡锐
 * @Description:
 * @Date: 2021/3/14 20:46
 */
public interface HighApproveService {

    /**
     * @Author 胡锐
     * @Description 增加审批
     * @Date 2021/3/14 20:46
     **/
    void insertApprove(HighApprove highApprove);

    /**
     * @Author 胡锐
     * @Description 修改审批
     * @Date 2021/3/21 22:12
     **/
    void updateApprove(HighApprove highApprove);

    /**
     *
     * @Title: getApproveById
     * @Author 胡锐
     * @Description: 根据id查询审批记录
     * @Date 15:01 2021/3/16
     * @Param [id]
     * @return com.hai.entity.HighApprove
     **/
    HighApprove getApproveById(Long id);

    /**
     *
     * @Title: approveProcessed
     * @Author 胡锐
     * @Description: 处理审批
     * @Date 15:31 2021/3/16
     * @Param [highApprove]
     * @return void
     **/
    void approveProcessed(HighApprove highApprove);

    /**
     * @Author 胡锐
     * @Description 审批列表
     * @Date 2021/3/16 19:39
     **/
    List<HighApprove> getApproveList(Map<String, Object> map);

}
